<?xml version='1.0' encoding='windows-1252' ?>
<!DOCTYPE ViewObject SYSTEM "jbo_03_01.dtd">

<ViewObject
   Name="ServiceRequestsByStatus"
   Extends="oracle.srdemo.model.queries.ServiceRequests"
   Where="((ServiceRequest.CREATED_BY = CreatedByUser.USER_ID) AND (ServiceRequest.ASSIGNED_TO = AssignedToUser.USER_ID(+))) AND (ServiceRequest.PROD_ID = Product.PROD_ID)  AND STATUS LIKE NVL(:StatusCode,&#39;%&#39;)"
   OrderBy="REQUEST_DATE DESC"
   BindingStyle="OracleName"
   CustomQuery="false"
   ComponentClass="oracle.srdemo.model.queries.ServiceRequestsByStatusImpl"
   FetchMode="FETCH_AS_NEEDED"
   UseGlueCode="false" >
   <DesignTime>
      <Attr Name="_version" Value="10.1.3.36.73" />
      <Attr Name="_codeGenFlag2" Value="Access|Coll|VarAccess" />
   </DesignTime>
   <Variable
      Name="StatusCode"
      Kind="where"
      Type="java.lang.String"
      DefaultValue="Open" >
   </Variable>
   <Data>
      <Property Name ="COMPLETE_LIBRARY" Value ="FALSE" />
      <Property Name ="ID" Value ="8888dd9c-010a-1000-8063-8d908079ce13::::ViewObject" />
      <Property Name ="IS_ABSTRACT" Value ="FALSE" />
      <Property Name ="IS_ACTIVE" Value ="FALSE" />
      <Property Name ="IS_LEAF" Value ="FALSE" />
      <Property Name ="IS_ROOT" Value ="FALSE" />
      <Property Name ="View Object Generalization_ID" Value ="8888dd9c-010a-1000-8064-8d908079ce13::oracle.srdemo.model.queries.ServiceRequestsByStatus::VOGeneralization" />
      <Property Name ="VISIBILITY" Value ="PUBLIC" />
   </Data>
</ViewObject>
